# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Summary:        Wicket webapp framework
Name:           wicket
Version:        1.5.8
Release:        2%{?dist}
Epoch:          0
Group:          Development/Framework
License:        ASL 2.0
URL:            http://wicket.apache.org/
Source0:        http://www.apache.org/dist/wicket/1.5.8/apache-wicket-1.5.8.tar.gz
Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Patch0:         wicket-core-pom.patch
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires:       java >= 0:1.6.0
Requires:       apache-portlet-1.0-api
Requires:       apache-commons-collections
Requires:       geronimo-annotation-1.1-api
Requires:       geronimo-jaspic-1.0-api
Requires:       glassfish-javamail141
Requires:       jackson
Requires:       portals-bridges1-common
Requires:       log4j >= 0:1.2.14
Requires:       slf4j
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  junit
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven-skins
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-gpg
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven-common-artifact-filters
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-archetype2
BuildRequires:  maven-archetype2
BuildRequires:  maven-script-interpreter
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire-report-plugin
BuildRequires:  maven-bundle-plugin
BuildRequires:  jetty7-integration
BuildRequires:  mojo-clirr-maven-plugin
BuildRequires:  apache-portlet-1.0-api
BuildRequires:  asm
BuildRequires:  excalibur-avalon-framework
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  cglib
BuildRequires:  easymock-java5
BuildRequires:  geronimo-annotation-1.1-api
BuildRequires:  geronimo-jaspic-1.0-api
BuildRequires:  glassfish-javamail141
BuildRequires:  google-guice
BuildRequires:  httpunit
BuildRequires:  jackson
BuildRequires:  jetty7
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  jhighlight
BuildRequires:  joda-time
BuildRequires:  log4j
BuildRequires:  portals-bridges1-common
BuildRequires:  apache-portlet-1.0-api
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  spring3-web
BuildRequires:  velocity14
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
With proper mark-up/logic separation, a POJO data model, and
a refreshing lack of XML, Apache Wicket makes developing 
web-apps simple and enjoyable again. Swap the boilerplate, 
complex debugging and brittle code for powerful, reusable 
components written with plain Java and HTML.

%package auth-roles
Group:          Development/Framework
Summary:        Auth roles module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description auth-roles
%{summary}.

%package datetime
Group:          Development/Framework
Summary:        Datetime module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       joda-time

%description datetime
%{summary}.

%package devutils
Group:          Development/Framework
Summary:        Devutils module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description devutils
%{summary}.

%package ioc
Group:          Development/Framework
Summary:        IoC module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       cglib

%description ioc
%{summary}.

%package spring
Group:          Development/Framework
Summary:        Spring module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-ioc = %{epoch}:%{version}-%{release}
Requires:       spring3-web

%description spring
%{summary}.

%package velocity
Group:          Development/Framework
Summary:        Velocity module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       apache-commons-collections
Requires:       velocity14

%description velocity
%{summary}.

%package guice
Group:          Development/Framework
Summary:        Guice module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-ioc = %{epoch}:%{version}-%{release}
Requires:       google-guice

%description guice
%{summary}.

%package threadtest
Group:          Development/Framework
Summary:        Threadtest module for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       apache-commons-httpclient
Requires:       jetty7
Requires:       slf4j

%description threadtest
%{summary}.

%package demo
Group:          Development/Framework
Summary:        Examples for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-datetime = %{epoch}:%{version}-%{release}
Requires:       %{name}-guice = %{epoch}:%{version}-%{release}
Requires:       %{name}-velocity = %{epoch}:%{version}-%{release}
Requires:       httpunit
Requires:       apache-commons-lang
Requires:       jetty7
Requires:       jhighlight
Requires:       apache-portlet-1.0-api
Requires:       slf4j
Requires:       velocity14

%description demo
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n apache-%{name}-%{version}
find . -name "*.jar" | xargs -t rm
%patch0 -b .sav0

cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository

cd src
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
        install javadoc:aggregate
#       -Dmaven.test.skip=true \

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 src/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.wicket wicket-parent %{version} JPP/%{name} parent

install -m 644 src/archetypes/quickstart/target/wicket-archetype-quickstart-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-quickstart-%{version}.jar
install -m 644 src/archetypes/quickstart/target/wicket-archetype-quickstart-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-quickstart-sources-%{version}.jar
install -m 644 src/archetypes/quickstart/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-quickstart.pom
%add_to_maven_depmap org.apache.wicket wicket-archetype-quickstart %{version} JPP/%{name} archetype-quickstart

install -m 644 src/wicket-auth-roles/target/wicket-auth-roles-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/auth-roles-%{version}.jar
install -m 644 src/wicket-auth-roles/target/wicket-auth-roles-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/auth-roles-javadoc-%{version}.jar
install -m 644 src/wicket-auth-roles/target/wicket-auth-roles-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/auth-roles-sources-%{version}.jar
install -m 644 src/wicket-auth-roles/target/wicket-auth-roles-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/auth-roles-test-sources-%{version}.jar
install -m 644 src/wicket-auth-roles/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-auth-roles.pom
%add_to_maven_depmap org.apache.wicket wicket-auth-roles %{version} JPP/%{name} auth-roles

install -m 644 src/wicket-core/target/wicket-core-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 src/wicket-core/target/wicket-core-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/core-javadoc-%{version}.jar
install -m 644 src/wicket-core/target/wicket-core-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/core-sources-%{version}.jar
install -m 644 src/wicket-core/target/wicket-core-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/core-test-sources-%{version}.jar
install -m 644 src/wicket-core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%add_to_maven_depmap org.apache.wicket wicket-core %{version} JPP/%{name} core

install -m 644 src/wicket-datetime/target/wicket-datetime-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/datetime-%{version}.jar
install -m 644 src/wicket-datetime/target/wicket-datetime-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/datetime-javadoc-%{version}.jar
install -m 644 src/wicket-datetime/target/wicket-datetime-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/datetime-sources-%{version}.jar
install -m 644 src/wicket-datetime/target/wicket-datetime-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/datetime-test-sources-%{version}.jar
install -m 644 src/wicket-datetime/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-datetime.pom
%add_to_maven_depmap org.apache.wicket wicket-datetime %{version} JPP/%{name} datetime

install -m 644 src/wicket-devutils/target/wicket-devutils-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/devutils-%{version}.jar
install -m 644 src/wicket-devutils/target/wicket-devutils-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/devutils-javadoc-%{version}.jar
install -m 644 src/wicket-devutils/target/wicket-devutils-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/devutils-sources-%{version}.jar
install -m 644 src/wicket-devutils/target/wicket-devutils-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/devutils-test-sources-%{version}.jar
install -m 644 src/wicket-devutils/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-devutils.pom
%add_to_maven_depmap org.apache.wicket wicket-devutils %{version} JPP/%{name} devutils

install -m 644 src/wicket-examples/target/wicket-examples-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/examples-sources-%{version}.jar
install -m 644 src/wicket-examples/target/wicket-examples-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/examples-test-sources-%{version}.jar
install -m 644 src/wicket-examples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-examples.pom
%add_to_maven_depmap org.apache.wicket wicket-examples %{version} JPP/%{name} examples

install -m 644 src/wicket-extensions/target/wicket-extensions-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/extensions-%{version}.jar
install -m 644 src/wicket-extensions/target/wicket-extensions-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/extensions-javadoc-%{version}.jar
install -m 644 src/wicket-extensions/target/wicket-extensions-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/extensions-sources-%{version}.jar
install -m 644 src/wicket-extensions/target/wicket-extensions-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/extensions-test-sources-%{version}.jar
install -m 644 src/wicket-extensions/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extensions.pom
%add_to_maven_depmap org.apache.wicket wicket-extensions %{version} JPP/%{name} extensions

install -m 644 src/wicket-guice/target/wicket-guice-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/guice-%{version}.jar
install -m 644 src/wicket-guice/target/wicket-guice-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/guice-javadoc-%{version}.jar
install -m 644 src/wicket-guice/target/wicket-guice-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/guice-sources-%{version}.jar
install -m 644 src/wicket-guice/target/wicket-guice-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/guice-test-sources-%{version}.jar
install -m 644 src/wicket-guice/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-guice.pom
%add_to_maven_depmap org.apache.wicket wicket-guice %{version} JPP/%{name} guice

install -m 644 src/wicket-ioc/target/wicket-ioc-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/ioc-%{version}.jar
install -m 644 src/wicket-ioc/target/wicket-ioc-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/ioc-javadoc-%{version}.jar
install -m 644 src/wicket-ioc/target/wicket-ioc-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/ioc-sources-%{version}.jar
install -m 644 src/wicket-ioc/target/wicket-ioc-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/ioc-test-sources-%{version}.jar
install -m 644 src/wicket-ioc/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ioc.pom
%add_to_maven_depmap org.apache.wicket wicket-ioc %{version} JPP/%{name} ioc

install -m 644 src/wicket-jmx/target/wicket-jmx-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-%{version}.jar
install -m 644 src/wicket-jmx/target/wicket-jmx-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-javadoc-%{version}.jar
install -m 644 src/wicket-jmx/target/wicket-jmx-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-sources-%{version}.jar
install -m 644 src/wicket-jmx/target/wicket-jmx-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-test-sources-%{version}.jar
install -m 644 src/wicket-jmx/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmx.pom
%add_to_maven_depmap org.apache.wicket wicket-jmx %{version} JPP/%{name} jmx

install -m 644 src/wicket-objectssizeof-agent/target/wicket-objectsizeof-agent-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/objectsizeof-agent-%{version}.jar
install -m 644 src/wicket-objectssizeof-agent/target/wicket-objectsizeof-agent-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/objectsizeof-agent-javadoc-%{version}.jar
install -m 644 src/wicket-objectssizeof-agent/target/wicket-objectsizeof-agent-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/objectsizeof-agent-sources-%{version}.jar
install -m 644 src/wicket-objectssizeof-agent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-objectsizeof-agent.pom
%add_to_maven_depmap org.apache.wicket wicket-objectsizeof-agent %{version} JPP/%{name} objectsizeof-agent

install -m 644 src/wicket-request/target/wicket-request-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/request-%{version}.jar
install -m 644 src/wicket-request/target/wicket-request-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/request-javadoc-%{version}.jar
install -m 644 src/wicket-request/target/wicket-request-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/request-sources-%{version}.jar
install -m 644 src/wicket-request/target/wicket-request-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/request-test-sources-%{version}.jar
install -m 644 src/wicket-request/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-request.pom
%add_to_maven_depmap org.apache.wicket wicket-request %{version} JPP/%{name} request

install -m 644 src/wicket-spring/target/wicket-spring-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-%{version}.jar
install -m 644 src/wicket-spring/target/wicket-spring-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-javadoc-%{version}.jar
install -m 644 src/wicket-spring/target/wicket-spring-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-sources-%{version}.jar
install -m 644 src/wicket-spring/target/wicket-spring-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-test-sources-%{version}.jar
install -m 644 src/wicket-spring/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-spring.pom
%add_to_maven_depmap org.apache.wicket wicket-spring %{version} JPP/%{name} spring

install -m 644 src/wicket-util/target/wicket-util-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/util-%{version}.jar
install -m 644 src/wicket-util/target/wicket-util-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/util-javadoc-%{version}.jar
install -m 644 src/wicket-util/target/wicket-util-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/util-sources-%{version}.jar
install -m 644 src/wicket-util/target/wicket-util-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/util-test-sources-%{version}.jar
install -m 644 src/wicket-util/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-util.pom
%add_to_maven_depmap org.apache.wicket wicket-util %{version} JPP/%{name} util

install -m 644 src/wicket-velocity/target/wicket-velocity-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/velocity-%{version}.jar
install -m 644 src/wicket-velocity/target/wicket-velocity-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/velocity-javadoc-%{version}.jar
install -m 644 src/wicket-velocity/target/wicket-velocity-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/velocity-sources-%{version}.jar
install -m 644 src/wicket-velocity/target/wicket-velocity-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/velocity-test-sources-%{version}.jar
install -m 644 src/wicket-velocity/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-velocity.pom
%add_to_maven_depmap org.apache.wicket wicket-velocity %{version} JPP/%{name} velocity

install -m 644 src/testing/wicket-threadtest/target/wicket-threadtest-%{version}.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/threadtest-%{version}.jar
install -m 644 src/testing/wicket-threadtest/target/wicket-threadtest-%{version}-javadoc.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/threadtest-javadoc-%{version}.jar
install -m 644 src/testing/wicket-threadtest/target/wicket-threadtest-%{version}-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/threadtest-sources-%{version}.jar
install -m 644 src/testing/wicket-threadtest/target/wicket-threadtest-%{version}-test-sources.jar \
         $RPM_BUILD_ROOT%{_javadir}/%{name}/threadtest-test-sources-%{version}.jar
install -m 644 src/testing/wicket-threadtest/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-threadtest.pom
%add_to_maven_depmap org.apache.wicket wicket-threadtest %{version} JPP/%{name} threadtest

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# war
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -m 0644 src/wicket-examples/target/wicket-examples.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr src/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/archetype*.jar
%{_javadir}/%{name}/extensions*.jar
%{_javadir}/%{name}/core*.jar
%{_javadir}/%{name}/jmx*.jar
%{_javadir}/%{name}/objectsizeof*.jar
%{_javadir}/%{name}/request*.jar
%{_javadir}/%{name}/util*.jar
%{_datadir}/maven2/poms/*
%dir %{_datadir}/%{name}-%{version}
%{_mavendepmapfragdir}/*

%files auth-roles
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/auth-roles*.jar

%files datetime
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/datetime*.jar

%files devutils
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/devutils*.jar

%files ioc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ioc*.jar

%files spring
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/spring*.jar

%files velocity
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/velocity*.jar

%files guice
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/guice*.jar

%files threadtest
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/threadtest*.jar

%files demo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/examples*.jar
%{_datadir}/%{name}-%{version}/%{name}-examples.war

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Dec 26 2012 Ralph Apel <r.apel@r-apel.de> 0:1.5.8-2
- BR and depmap maven-common-artifact-filters

* Thu Sep 20 2012 Ralph Apel <r.apel@r-apel.de> 0:1.5.8-1
- 1.5.8

* Sun Feb 05 2012 Ralph Apel <r.apel@r-apel.de> 0:1.3.7-2
- Replace (B)R portals-bridges-common with portals-bridges1-common

* Wed Feb 02 2012 Ralph Apel <r.apel@r-apel.de> 0:1.3.7-1
- 1.3.7 as wicket13 for JPP-6

* Wed Jun 03 2009 David Walluck <dwalluck@redhat.com> 0:1.3.6-1
- 1.3.6

* Mon Aug 11 2008 Ralph Apel <r.apel at r-apel.de> 0:1.3.4-1.jpp5
- Initial release

